View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008427ParaViewBugpublic2009-01-26 10:032013-01-08 18:53
ReporterDave DeMarle 
Assigned ToDave DeMarle 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.98.0 
Summary0008427: pv3 movies are lower quality than pv2
Descriptionpv 2.6 had a choice of low/medium/high animation quality. That was lost in 3.0 and the default is now medium, instead of high as in 2.4. All we need is to add GUI widget to set vtkSMAnimationSceneImageWriter::Quality.
TagsNo tags attached.
ProjectSandia
Topic Name0008427-fix-and-improve-quality-of-movies
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0014721)
Alan Scott (manager)
2009-01-29 14:31

This is now becoming an issue for us. This should be fixed for ParaView 3.6.
(0017212)
Utkarsh Ayachit (administrator)
2009-08-25 18:33

Reminder sent to: Dave DeMarle

Dave, is this still an issue?
(0017304)
Utkarsh Ayachit (administrator)
2009-09-02 12:52
edited on: 2009-09-02 13:33

Changing default animation quality to "best" from "medium".

/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMAnimationSceneImageWriter.h,v <-- Servers/ServerManager/vtkSMAnimationSceneImageWriter.h
new revision: 1.8; previous revision: 1.7
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMAnimationSceneImageWriter.cxx,v <-- Servers/ServerManager/vtkSMAnimationSceneImageWriter.cxx
new revision: 1.14; previous revision: 1.13

Committed to 3.6 branch as well:

/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMAnimationSceneImageWriter.cxx,v <-- Servers/ServerManager/vtkSMAnimationSceneImageWriter.cxx
new revision: 1.13.6.1; previous revision: 1.13
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMAnimationSceneImageWriter.h,v <-- Servers/ServerManager/vtkSMAnimationSceneImageWriter.h
new revision: 1.7.6.1; previous revision: 1.7

(0017307)
Utkarsh Ayachit (administrator)
2009-09-02 13:33

For 3.8 we can update the GUI to allow the user to choose the animation quality.
(0029418)
Alan Scott (manager)
2012-10-17 21:25

This is still desired/required. We need to add the option for "no compression".
(0029419)
Alan Scott (manager)
2012-10-17 21:25

Bringing up to date. This really needs to get done.
(0029420)
Alan Scott (manager)
2012-10-17 21:26

Changing to todo. Please add some type of a quality sider or pulldown, with no compression as an option.
(0029421)
Alan Scott (manager)
2012-10-17 21:27

Changing to higher priority so it gets done.
(0029461)
Dave DeMarle (administrator)
2012-10-19 16:16

Adding the widget is simple enough, but then it gets stranger. The default now _is_ to use maximum resolution, and what's worse _any_ choice produces the same file. I can fix that but I need to look into specifically what all the controls we have over ffmpeg do first.
(0029685)
Dave DeMarle (administrator)
2012-11-08 14:51

The real problem turned out to be that color resolution was insufficient.
I changed vtkFFMPEGWriter to use 16 instead of 12 bit color, and added a button which uses the RAWVIDEO codec in case that is insufficient too.

I did not add the old low/medium/high res widget back, since lessening the resolution from what it is now isn't desired.
(0029689)
Utkarsh Ayachit (administrator)
2012-11-09 10:10

merged into master, if applicable.
(0030014)
Alan Scott (manager)
2013-01-08 18:53

I "believe" this one is fixed. I will reopen if the natives complain.

Tested Linux, local server, master.

- Issue History
Date Modified Username Field Change
2009-01-26 10:03 Dave DeMarle New Issue
2009-01-26 10:04 Dave DeMarle Status backlog => tabled
2009-01-26 10:04 Dave DeMarle Assigned To => Dave DeMarle
2009-01-29 14:31 Alan Scott Note Added: 0014721
2009-05-13 13:47 Utkarsh Ayachit Target Version => 3.6
2009-08-25 18:32 Utkarsh Ayachit Category => Bug
2009-08-25 18:32 Utkarsh Ayachit Target Version 3.6 => 3.6.2
2009-08-25 18:33 Utkarsh Ayachit Note Added: 0017212
2009-09-02 12:52 Utkarsh Ayachit Note Added: 0017304
2009-09-02 13:33 Utkarsh Ayachit Note Edited: 0017304
2009-09-02 13:33 Utkarsh Ayachit Note Added: 0017307
2009-09-02 13:33 Utkarsh Ayachit Target Version 3.6.2 => 3.8
2012-10-17 21:25 Alan Scott Note Added: 0029418
2012-10-17 21:25 Alan Scott Note Added: 0029419
2012-10-17 21:25 Alan Scott Status expired => backlog
2012-10-17 21:25 Alan Scott Resolution open => reopened
2012-10-17 21:26 Alan Scott Note Added: 0029420
2012-10-17 21:26 Alan Scott Status backlog => todo
2012-10-17 21:27 Alan Scott Project => Sandia
2012-10-17 21:27 Alan Scott Type => incorrect functionality
2012-10-17 21:27 Alan Scott Note Added: 0029421
2012-10-17 21:27 Alan Scott Priority normal => high
2012-10-19 11:42 Dave DeMarle Status todo => active development
2012-10-19 16:16 Dave DeMarle Note Added: 0029461
2012-11-08 14:51 Dave DeMarle Note Added: 0029685
2012-11-08 14:51 Dave DeMarle Topic Name => 0008427-fix-and-improve-quality-of-movies
2012-11-08 14:51 Dave DeMarle Status active development => gatekeeper review
2012-11-08 14:51 Dave DeMarle Resolution reopened => fixed
2012-11-09 10:10 Utkarsh Ayachit Fixed in Version => git-master
2012-11-09 10:10 Utkarsh Ayachit Status gatekeeper review => customer review
2012-11-09 10:10 Utkarsh Ayachit Note Added: 0029689
2012-11-09 10:20 Utkarsh Ayachit Fixed in Version git-master => 3.98.0
2013-01-08 18:53 Alan Scott Note Added: 0030014
2013-01-08 18:53 Alan Scott Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker